IP Load Balancer
All operations require authentication.
4 operationsv1/vrack/{serviceName}
List attached IP Load Balancer servicesProduction
GET
/v1/ vrack/ {serviceName}/ ipLoadbalancing
Path parameters
service Name
required
string
The internal name of your vrack
Response
200string []successful operation
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ vrack/ {serviceName}/ ipLoadbalancing \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get an attached IP Load Balancer serviceProduction
GET
/v1/ vrack/ {serviceName}/ ipLoadbalancing/ {ipLoadbalancing}
Path parameters
ip Loadbalancing
required
string
Your ipLoadbalancing
service Name
required
string
The internal name of your vrack
Response
200iplbsuccessful operation
ip Loadbalancing
read-only
string
Your ipLoadbalancing
vrack
read-only
string
vrack name
Example uses ipLoadbalancing = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ vrack/ {serviceName}/ ipLoadbalancing/ {ipLoadbalancing} \
-H "authorization: Bearer $OVH_TOKEN"{ "ipLoadbalancing": "string", "vrack": "string"}
Attach an IP Load Balancer serviceProduction
POST
/v1/ vrack/ {serviceName}/ ipLoadbalancing
Attach an IP Load Balancer service. Attaches an IP Load Balancer service to the vRack. Returns the task that performs it.
Path parameters
service Name
required
string
The internal name of your vrack
Request body (required)
ip Loadbalancing
required
string
Your ipLoadbalancing
Response
200Tasksuccessful operation
function
read-only
string
—
id
read-only
integer
—
last Update
read-only
stringdate-time
—
order Id
read-only
integer
—
service Name
read-only
string
—
status
read-only
Task Status Enum
Task status
Values
cancelleddoingdoneinittodotarget Domain
read-only
string
—
todo Date
read-only
stringdate-time
—
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ vrack/ {serviceName}/ ipLoadbalancing \
-H "authorization: Bearer $OVH_TOKEN"{ "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "orderId": 0, "serviceName": "string", "status": "cancelled", "targetDomain": "string", "todoDate": "2024-01-01T12:00:00Z"}
Detach an IP Load Balancer serviceProduction
DELETE
/v1/ vrack/ {serviceName}/ ipLoadbalancing/ {ipLoadbalancing}
Detach an IP Load Balancer service. Detaches the IP Load Balancer service from the vRack. Returns the task that performs it.
Path parameters
ip Loadbalancing
required
string
Your ipLoadbalancing
service Name
required
string
The internal name of your vrack
Response
200Tasksuccessful operation
function
read-only
string
—
id
read-only
integer
—
last Update
read-only
stringdate-time
—
order Id
read-only
integer
—
service Name
read-only
string
—
status
read-only
Task Status Enum
Task status
Values
cancelleddoingdoneinittodotarget Domain
read-only
string
—
todo Date
read-only
stringdate-time
—
Example uses ipLoadbalancing = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ vrack/ {serviceName}/ ipLoadbalancing/ {ipLoadbalancing} \
-H "authorization: Bearer $OVH_TOKEN"{ "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "orderId": 0, "serviceName": "string", "status": "cancelled", "targetDomain": "string", "todoDate": "2024-01-01T12:00:00Z"}